> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Save GSTR-9

> Save the GSTR-9 with the required data across tables including outward supplies, input tax credits (ITC), and tax payments for the financial year with the GST department.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-9/save.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-9/save
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-9/save:
    post:
      tags:
        - Taxpayer
        - Returns
        - File GSTR-9
      summary: Save GSTR-9
      operationId: saveGstr9
      parameters:
        - name: financial_year
          in: query
          description: Financial year. E.g., FY 2023-24
          required: true
          schema:
            type: string
            example: '{{financial_year}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
            examples:
              GSTR-1/GSTR-3B not filed:
                value:
                  gstin: 06GDDPS5083K1Z0
                  fp: '032024'
                  table4:
                    b2c:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    b2b:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    exp:
                      txval: 1000
                      iamt: 20
                      csamt: 20
                    sez:
                      txval: 1000
                      iamt: 20
                      csamt: 20
                    deemed:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    at:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rchrg:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    cr_nt:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    dr_nt:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    amd_pos:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    amd_neg:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table5:
                    zero_rtd:
                      txval: 1000
                    sez:
                      txval: 1000
                    rchrg:
                      txval: 1000
                    exmt:
                      txval: 1000
                    nil:
                      txval: 1000
                    non_gst:
                      txval: 1000
                    cr_nt:
                      txval: 1000
                    dr_nt:
                      txval: 1000
                    amd_pos:
                      txval: 1000
                    amd_neg:
                      txval: 1000
                  table6:
                    supp_non_rchrg:
                      - itc_typ: ip
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    supp_rchrg_unreg:
                      - itc_typ: ip
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    supp_rchrg_reg:
                      - itc_typ: ip
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    iog:
                      - itc_typ: ip
                        iamt: 20
                        csamt: 20
                    ios:
                      iamt: 20
                      csamt: 20
                    isd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_clmd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    tran1:
                      camt: 20
                      samt: 20
                    tran2:
                      camt: 20
                      samt: 20
                    other:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table7:
                    rule37:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rule39:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rule42:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rule43:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sec17:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    revsl_tran1:
                      camt: 20
                      samt: 20
                    revsl_tran2:
                      camt: 20
                      samt: 20
                    other:
                      - desc: other1
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                  table8:
                    itc_inwd_supp:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_nt_availd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_nt_eleg:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    iog_taxpaid:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table9:
                    iamt:
                      txpyble: 1000
                    camt:
                      txpyble: 1000
                    samt:
                      txpyble: 1000
                    csamt:
                      txpyble: 1000
                    intr:
                      txpyble: 1000
                    fee:
                      txpyble: 1000
                    pen:
                      txpyble: 1000
                    other:
                      txpyble: 1000
                  table10:
                    itc_availd:
                      csamt: 20
                      samt: 20
                      camt: 20
                      iamt: 20
                    itc_rvsl:
                      csamt: 20
                      samt: 20
                      camt: 20
                      iamt: 20
                    dbn_amd:
                      csamt: 20
                      samt: 20
                      txval: 1000
                      camt: 20
                      iamt: 20
                    cdn_amd:
                      csamt: 20
                      samt: 20
                      txval: 1000
                      camt: 20
                      iamt: 20
                  table14:
                    iamt:
                      txpyble: 1000
                      txpaid: 1000
                    camt:
                      txpyble: 1000
                      txpaid: 1000
                    samt:
                      txpyble: 1000
                      txpaid: 1000
                    csamt:
                      txpyble: 1000
                      txpaid: 1000
                    intr:
                      txpyble: 1000
                      txpaid: 1000
                  table15:
                    rfd_clmd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rfd_sanc:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rfd_rejt:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rfd_pend:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    tax_dmnd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                      intr: 20
                      fee: 20
                      pen: 20
                    tax_paid:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                      intr: 20
                      fee: 20
                      pen: 20
                    dmnd_pend:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                      intr: 20
                      fee: 20
                      pen: 20
                  table16:
                    comp_supp:
                      txval: 1000
                    deemed_supp:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    not_returned:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table17:
                    items:
                      - hsn_sc: '99'
                        txval: 10000
                        isconcesstional: 'N'
                        rt: 5
                        iamt: 0
                        camt: 250
                        samt: 250
                        csamt: 0
                      - hsn_sc: '995411'
                        txval: 10000
                        isconcesstional: 'N'
                        rt: 5
                        iamt: 0
                        camt: 250
                        samt: 250
                        csamt: 0
                      - hsn_sc: '4502'
                        uqc: BDL
                        qty: 1
                        txval: 10000
                        isconcesstional: 'N'
                        rt: 5
                        iamt: 0
                        camt: 250
                        samt: 250
                        csamt: 500
                  table18:
                    items:
                      - hsn_sc: '1203'
                        uqc: BAL
                        qty: 1
                        txval: 10000
                        isconcesstional: 'N'
                        rt: 5
                        iamt: 0
                        camt: 250
                        samt: 250
                        csamt: 0
                      - hsn_sc: '999900'
                        txval: 10000
                        isconcesstional: 'N'
                        rt: 5
                        iamt: 0
                        camt: 250
                        samt: 250
                        csamt: 0
                summary: GSTR-1/GSTR-3B not filed
              200 Success:
                value:
                  table4:
                    b2c:
                      csamt: 0
                      samt: 33512.24
                      txval: 32048951.84
                      camt: 33512.24
                      iamt: 5701789.17
                    b2b:
                      csamt: 0
                      samt: 222404.68
                      txval: 2754408.56
                      camt: 222404.68
                      iamt: 50984.24
                    cr_nt:
                      csamt: 0
                      samt: 8.76
                      txval: 426388.99
                      camt: 8.76
                      iamt: 76732.5
                  fp: '032024'
                  gstin: 29AAACQ3770E000
                  table9:
                    samt:
                      txpyble: 255908
                    fee:
                      txpyble: 50
                    camt:
                      txpyble: 255908
                    iamt:
                      txpyble: 5711375
                  table6:
                    supp_non_rchrg:
                      - itc_typ: cg
                        iamt: 16745.52
                        camt: 782.55
                        samt: 782.55
                        csamt: 0
                      - itc_typ: is
                        iamt: 810052.26
                        camt: 169159.01
                        samt: 169159.01
                        csamt: 0
                  table17:
                    items:
                      - hsn_sc: '998232'
                        txval: 34376971.41
                        isconcesstional: 'N'
                        rt: 18
                        iamt: 5676040.91
                        camt: 255908.16
                        samt: 255908.16
                        csamt: 0
                summary: 200 Success
      responses:
        '200':
          description: GSTR-1/GSTR-3B not filed / 200 Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          reference_id:
                            type: string
                            example: 3f0b7b96-2c56-4e34-a025-03c3577a8468
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RT-9AS-1008
                          message:
                            type: string
                            example: >-
                              To file your annual return, filing of all
                              applicable returns/statements (GSTR-1 and GSTR-3B)
                              are mandatory. File your pending applicable
                              return(s)/ statement(s) and try again.
                      status_cd:
                        type: string
                        example: '0'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 2b3e8972-1486-48fd-ad85-4181d568633b
              examples:
                GSTR-1/GSTR-3B not filed:
                  summary: GSTR-1/GSTR-3B not filed
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RT-9AS-1008
                        message: >-
                          To file your annual return, filing of all applicable
                          returns/statements (GSTR-1 and GSTR-3B) are mandatory.
                          File your pending applicable return(s)/ statement(s)
                          and try again.
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 2b3e8972-1486-48fd-ad85-4181d568633b
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        reference_id: 3f0b7b96-2c56-4e34-a025-03c3577a8468
                      status_cd: '1'
                    timestamp: 1734691818000
                    transaction_id: fab4bf0e-0e9a-44d2-8373-2f5e85e63edf
          headers: {}
      deprecated: false
      security: []

````